Package com.xebialabs.xlrelease.api.v1.forms

# Class ReleasesFilters

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.ReleasesFilters

public class ReleasesFilters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleasesFilters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReleasesFilters`
  `active()`
  `List<String>`
  `getCategories()`
  `Date`
  `getFrom()`
  `ReleaseKind`
  `getKind()`
  `ReleaseOrderMode`
  `getOrderBy()`
  `ReleaseOrderDirection`
  `getOrderDirection()`
  `String`
  `getOwner()`
  `String`
  `getParentId()`
  `Date`
  `getQueryEndDate()`
  `Date`
  `getQueryStartDate()`
  `RiskStatusWithThresholds`
  `getRiskStatusWithThresholds()`
  `List<ReleaseStatus>`
  `getStatuses()`
  `List<String>`
  `getTags()`
  `List<String>`
  `getTaskTags()`
  `String`
  `getTemplateId()`
  `TimeFrame`
  `getTimeFrame()`
  `String`
  `getTitle()`
  `Date`
  `getTo()`
  `boolean`
  `hasASelectedFilter()`
  `boolean`
  `isAnyTags()`
  `void`
  `setAborted(boolean aborted)`
  `void`
  `setActive(boolean active)`
  `void`
  `setAnyTags(boolean anyTags)`
  `void`
  `setCategories(List<String> categories)`
  `void`
  `setCompleted(boolean completed)`
  `void`
  `setFailed(boolean failed)`
  `void`
  `setFailing(boolean failing)`
  `void`
  `setFrom(Date from)`
  `void`
  `setInactive(boolean inactive)`
  `void`
  `setInProgress(boolean inProgress)`
  `void`
  `setKind(ReleaseKind kind)`
  `void`
  `setOnlyArchived(boolean onlyArchived)`
  `void`
  `setOnlyFlagged(boolean onlyFlagged)`
  `void`
  `setOnlyMine(boolean onlyMine)`
  `void`
  `setOrderBy(ReleaseOrderMode orderBy)`
  `void`
  `setOrderDirection(ReleaseOrderDirection orderDirection)`
  `void`
  `setOwner(String owner)`
  `void`
  `setParentId(String parentId)`
  `void`
  `setPaused(boolean paused)`
  `void`
  `setPlanned(boolean planned)`
  `void`
  `setRiskStatusWithThresholds(RiskStatusWithThresholds riskStatusWithThresholds)`
  `void`
  `setTags(List<String> tags)`
  `ReleasesFilters`
  `setTaskTags(List<String> taskTags)`
  `void`
  `setTemplateId(String templateId)`
  `void`
  `setTimeFrame(TimeFrame timeFrame)`
  `void`
  `setTitle(String title)`
  `void`
  `setTo(Date to)`
  `boolean`
  `withAborted()`
  `boolean`
  `withActive()`
  `boolean`
  `withCompleted()`
  `boolean`
  `withFailed()`
  `boolean`
  `withFailing()`
  `boolean`
  `withInactive()`
  `boolean`
  `withInProgress()`
  `boolean`
  `withOnlyArchived()`
  `boolean`
  `withOnlyFlagged()`
  `boolean`
  `withOnlyMine()`
  `boolean`
  `withPaused()`
  `boolean`
  `withPlanned()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReleasesFilters

    public ReleasesFilters()

- ## Method Details

  - ### hasASelectedFilter

    public boolean hasASelectedFilter()

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getFrom

    public Date getFrom()

  - ### setFrom

    public void setFrom(Date from)

  - ### getTo

    public Date getTo()

  - ### setTo

    public void setTo(Date to)

  - ### withPlanned

    public boolean withPlanned()

  - ### setPlanned

    public void setPlanned(boolean planned)

  - ### withActive

    public boolean withActive()

  - ### setActive

    public void setActive(boolean active)

  - ### withInProgress

    public boolean withInProgress()

  - ### setInProgress

    public void setInProgress(boolean inProgress)

  - ### withPaused

    public boolean withPaused()

  - ### setPaused

    public void setPaused(boolean paused)

  - ### withFailing

    public boolean withFailing()

  - ### setFailing

    public void setFailing(boolean failing)

  - ### withFailed

    public boolean withFailed()

  - ### setFailed

    public void setFailed(boolean failed)

  - ### withInactive

    public boolean withInactive()

  - ### setInactive

    public void setInactive(boolean inactive)

  - ### withCompleted

    public boolean withCompleted()

  - ### setCompleted

    public void setCompleted(boolean completed)

  - ### withAborted

    public boolean withAborted()

  - ### setAborted

    public void setAborted(boolean aborted)

  - ### withOnlyMine

    public boolean withOnlyMine()

  - ### setOnlyMine

    public void setOnlyMine(boolean onlyMine)

  - ### withOnlyFlagged

    public boolean withOnlyFlagged()

  - ### setOnlyFlagged

    public void setOnlyFlagged(boolean onlyFlagged)

  - ### withOnlyArchived

    public boolean withOnlyArchived()

  - ### setOnlyArchived

    public void setOnlyArchived(boolean onlyArchived)

  - ### getTimeFrame

    public TimeFrame getTimeFrame()

  - ### setTimeFrame

    public void setTimeFrame(TimeFrame timeFrame)

  - ### getParentId

    public String getParentId()

  - ### setParentId

    public void setParentId(String parentId)

  - ### active

    public static ReleasesFilters active()

  - ### getQueryStartDate

    public Date getQueryStartDate()

  - ### getQueryEndDate

    public Date getQueryEndDate()

  - ### getOrderBy

    public ReleaseOrderMode getOrderBy()

  - ### setOrderBy

    public void setOrderBy(ReleaseOrderMode orderBy)

  - ### getOrderDirection

    public ReleaseOrderDirection getOrderDirection()

  - ### setOrderDirection

    public void setOrderDirection(ReleaseOrderDirection orderDirection)

  - ### getRiskStatusWithThresholds

    public RiskStatusWithThresholds getRiskStatusWithThresholds()

  - ### setRiskStatusWithThresholds

    public void setRiskStatusWithThresholds(RiskStatusWithThresholds riskStatusWithThresholds)

  - ### getKind

    public ReleaseKind getKind()

  - ### setKind

    public void setKind(ReleaseKind kind)

  - ### getTags

    public List<String> getTags()

  - ### setTags

    public void setTags(List<String> tags)

  - ### getTaskTags

    public List<String> getTaskTags()

  - ### setTaskTags

    public ReleasesFilters setTaskTags(List<String> taskTags)

  - ### getStatuses

    public List<ReleaseStatus> getStatuses()

  - ### getCategories

    public List<String> getCategories()

  - ### setCategories

    public void setCategories(List<String> categories)

  - ### getTemplateId

    public String getTemplateId()

  - ### setTemplateId

    public void setTemplateId(String templateId)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### isAnyTags

    public boolean isAnyTags()

  - ### setAnyTags

    public void setAnyTags(boolean anyTags)